directory-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From akaras...@apache.org
Subject svn commit: r507143 - in /directory/daemon/trunk/plugin/src/main/resources/org/apache/directory/daemon/installers: izpack/server.init rpm/server.init
Date Tue, 13 Feb 2007 18:27:53 GMT
Author: akarasulu
Date: Tue Feb 13 10:27:53 2007
New Revision: 507143

URL: http://svn.apache.org/viewvc?view=rev&rev=507143
Log:
quick fix for DIRSERVER-730 here https://issues.apache.org/jira/browse/DIRSERVER-730

Modified:
    directory/daemon/trunk/plugin/src/main/resources/org/apache/directory/daemon/installers/izpack/server.init
    directory/daemon/trunk/plugin/src/main/resources/org/apache/directory/daemon/installers/rpm/server.init

Modified: directory/daemon/trunk/plugin/src/main/resources/org/apache/directory/daemon/installers/izpack/server.init
URL: http://svn.apache.org/viewvc/directory/daemon/trunk/plugin/src/main/resources/org/apache/directory/daemon/installers/izpack/server.init?view=diff&rev=507143&r1=507142&r2=507143
==============================================================================
--- directory/daemon/trunk/plugin/src/main/resources/org/apache/directory/daemon/installers/izpack/server.init
(original)
+++ directory/daemon/trunk/plugin/src/main/resources/org/apache/directory/daemon/installers/izpack/server.init
Tue Feb 13 10:27:53 2007
@@ -1,4 +1,4 @@
-#!/bin/bash
+#!/bin/sh
 #
 # chkconfig: - 91 35
 # description: Starts and stops ${app} server. 
@@ -165,7 +165,7 @@
         fi
     fi
 
-    exit $?
+    exit $RETVAL
     ;;
 
   stop)
@@ -196,7 +196,7 @@
         fi
     fi
 
-    exit $?
+    exit $RETVAL
     ;;
 
   debug)

Modified: directory/daemon/trunk/plugin/src/main/resources/org/apache/directory/daemon/installers/rpm/server.init
URL: http://svn.apache.org/viewvc/directory/daemon/trunk/plugin/src/main/resources/org/apache/directory/daemon/installers/rpm/server.init?view=diff&rev=507143&r1=507142&r2=507143
==============================================================================
--- directory/daemon/trunk/plugin/src/main/resources/org/apache/directory/daemon/installers/rpm/server.init
(original)
+++ directory/daemon/trunk/plugin/src/main/resources/org/apache/directory/daemon/installers/rpm/server.init
Tue Feb 13 10:27:53 2007
@@ -6,6 +6,9 @@
 # Shell script to start/stop ${app} 
 # If you want to change ${app} service settings please modify the server.xml
 # file.
+#
+# NOTE: using bash for RPM based distros should be ok
+#
 
 DISPLAY=:0.0
 export DISPLAY
@@ -160,7 +163,7 @@
         fi
     fi
 
-    exit $?
+    exit $RETVAL
     ;;
 
   stop)
@@ -191,7 +194,7 @@
         fi
     fi
 
-    exit $?
+    exit $RETVAL
     ;;
 
   debug)



Mime
View raw message